## eval_eq()  - Evaluates an equation in terms of particular variables.
##
## This function accepts an algebraic expression and a list of variables
## and their vaules, and returns the value of the equation with those 
## variables inserted.
##
## Author: Kevin Straight, stra9456@uidaho.edu

function retval = eval_eq(equation, ...)

  if( (nargin < 1) | ((nargin/2)==floor(nargin/2)) )
     usage("retval = eval_eq(equation, var_0, value_0, ... , var_n, value_n)");
  endif

  for i = 2:((nargin-1)/2)+1
    this_var = va_arg();
    the_string = strcat( this_var, "=", sprintf("%g;", va_arg) );
    eval(the_string);
  endfor

  eval(equation);

endfunction
