## usage: fraction(x)
##
## Attempt to convert a float to a fraction

## Author: Kevin Straight stra9456@uidaho.edu

function retval = fraction (x)

     if(nargin != 1)
        usage("fraction (x)");
     endif

     denominator = 1;

     while(x!=floor(x))
        x=x*10;
        denominator=denominator*10;
     endwhile

     l=gcd(x, denominator);	
     while(l!=1)
        x=x/l;
        denominator=denominator/l;
        l=gcd(x, denominator);	
     endwhile

     retval = zeros(2,1);
     retval(1,1) = x;
     retval(2,1) = denominator;

endfunction
